# openforcefield.utils.utils.convert_0_2_smirnoff_to_0_3

`openforcefield.utils.utils.``convert_0_2_smirnoff_to_0_3`(smirnoff_data_0_2)

  Convert an 0.2-compliant SMIRNOFF dict to an 0.3-compliant one. This involves removing units from header tags and adding them to attributes of child elements. It also requires converting ProperTorsions and ImproperTorsions potentials from “charmm” to “fourier”.

  Parameters
    smirnoff_data_0_2 dict

      Hierarchical dict representing a SMIRNOFF data structure according the the 0.2 spec

  Returns
    smirnoff_data_0_3

      Hierarchical dict representing a SMIRNOFF data structure according the the 0.3 spec